Bug 1272908 - Met "lookup kubernetes.default.svc.cluster.local: no such host" in logging-deployer Pod
Met "lookup kubernetes.default.svc.cluster.local: no such host" in logging-de...
Status: CLOSED WORKSFORME
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging (Show other bugs)
3.0.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Luke Meyer
chunchen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 04:03 EDT by chunchen
Modified: 2016-09-29 22:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 09:56:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the logging-deployer Pod's log (14.35 KB, text/plain)
2015-10-19 04:03 EDT, chunchen
no flags Details
new pod logs (20.35 KB, text/plain)
2015-10-20 04:26 EDT, chunchen
no flags Details

  None (edit)
Description chunchen 2015-10-19 04:03:47 EDT
Created attachment 1084294 [details]
the logging-deployer Pod's log

Description of problem:
Met "error: couldn't read version from server: Get https://kubernetes.default.svc.cluster.local/api: dial tcp: lookup kubernetes.default.svc.cluster.local: no such host" in logging-deployer Pod

Version-Release number of selected component (if applicable):
OSE puddle: 2015-10-17.1
rcm-img-docker01.build.eng.bos.redhat.com:5001/openshift3/logging-elasticsearch  latest  91a97e26f02f
rcm-img-docker01.build.eng.bos.redhat.com:5001/openshift3/logging-fluentd        latest  f0e0df45e299
rcm-img-docker01.build.eng.bos.redhat.com:5001/openshift3/logging-auth-proxy     latest  36459ade9524
rcm-img-docker01.build.eng.bos.redhat.com:5001/openshift3/logging-deployment     latest  b827848b5b82
rcm-img-docker01.build.eng.bos.redhat.com:5001/openshift3/logging-kibana         latest  a2daf6226972

How reproducible:
always

Steps to Reproduce:
1. Log into OSE env
2. Create a project named "chunpj"
3. Create the Deployer Secret
oc secrets new logging-deployer nothing=/dev/null

4. Create the Deployer ServiceAccount
oc create -f - <<API
apiVersion: v1
kind: ServiceAccount
metadata:
name: logging-deployer
secrets:
- name: logging-deployer
API

oc policy add-role-to-user edit \
system:serviceaccount:chunpj:logging-deployer

5. Run the Deployer
oc process -f https://raw.githubusercontent.com/openshift/origin-aggregated-logging/master/deployment/deployer.yaml -v IMAGE_PREFIX=<rcm-img-docker01_REGISTRY>/openshift3/,KIBANA_HOSTNAME=kibana.example.com,PUBLIC_MASTER_URL=https://<OSE_MASTER>:8443,ES_INSTANCE_RAM=1024M,ES_CLUSTER_SIZE=1 | oc create -f -

6. Check the logging-deployer's logs
oc logs logging-deployer-5ncoo

Actual results:
It was failed to deploy and Met "error: couldn't read version from server: Get https://kubernetes.default.svc.cluster.local/api: dial tcp: lookup kubernetes.default.svc.cluster.local: no such host"

Expected results:
The deployer deployment should be succeed.

Additional info:
Please refer to the detail logs in attachments
Comment 2 Luke Meyer 2015-10-19 11:25:47 EDT
If your pod cannot resolve kubernetes.default.svc.cluster.local I believe that is considered a misconfiguration and will cause you other problems than this one. It is possible to override this default with the MASTER_URL env var but it should not be necessary.
Comment 3 chunchen 2015-10-20 04:25:23 EDT
Checked this issue against newer OpenShift(oc v3.0.2.901-61-g568adb6,kubernetes v1.1.0-alpha.1-653-g86b4e77), the bug does not reproduce, please refer to the detail logs in attachments named "new pod logs".
Comment 4 chunchen 2015-10-20 04:26 EDT
Created attachment 1084650 [details]
new pod logs
Comment 5 Luke Meyer 2015-10-20 09:56:27 EDT
I'm not sure when the default service names were introduced but they should certainly be available assuming the installation is OSE 3.1.

Note You need to log in before you can comment on or make changes to this bug.